Bug 447974 (CVE-2008-0960) - CVE-2008-0960 net-snmp SNMPv3 authentication bypass (VU#877044)
Summary: CVE-2008-0960 net-snmp SNMPv3 authentication bypass (VU#877044)
Status: CLOSED ERRATA
Alias: CVE-2008-0960
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=cert,reported=...
Keywords: Security
Depends On: 449893 449894 449895 449896 449897 449898 449899
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-22 18:17 UTC by Josh Bressers
Modified: 2011-09-30 02:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-30 02:00:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed upstream patch (389 bytes, patch)
2008-05-22 18:17 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0528 normal SHIPPED_LIVE Moderate: ucd-snmp security update 2008-06-10 07:01:49 UTC
Red Hat Product Errata RHSA-2008:0529 normal SHIPPED_LIVE Moderate: net-snmp security update 2008-06-10 14:09:13 UTC

Description Josh Bressers 2008-05-22 18:17:37 UTC
CERT has told us of an authentication bypass flaw in Net-SNMP and UCD-SNMP.

According to net-snmp:

"The quick technical summary is that the SNMPv3 packet contains a truncated HMAC
authentication code. The author that wrote the code very very long ago to check
that HMAC code used the length of the packet's version of the HMAC code to do
the check. Thus if you send a single byte HMAC code, it'll only check it against
the first byte of HMAC output. Thus it's fairly easy to spoof an authenticated
SNMPv3 packet."

Comment 1 Josh Bressers 2008-05-22 18:17:37 UTC
Created attachment 306408 [details]
Proposed upstream patch

Comment 2 Mark J. Cox 2008-06-04 07:27:41 UTC
changing embargo date due to request from CERT

Comment 10 Tomas Hoger 2008-06-10 06:19:57 UTC
Public now, lifting embargo:

  http://www.ocert.org/advisories/ocert-2008-006.html
  http://sourceforge.net/forum/forum.php?forum_id=833770

Net-SNMP upstream bug report: 
http://sourceforge.net/tracker/index.php?func=detail&aid=1989089&group_id=12694&atid=456380

Fixed Net-SNMP versions:
>= 5.4.1.1, >= 5.3.2.1, >= 5.2.4.1


Comment 11 Fedora Update System 2008-06-11 04:39:20 UTC
net-snmp-5.4.1-18.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-06-11 04:39:31 UTC
net-snmp-5.4.1-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-06-11 04:39:48 UTC
net-snmp-5.4-18.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Tomas Hoger 2008-06-13 17:41:19 UTC
Public PoC:

  http://lab.mediaservice.net/code.php#snmpv3

Comment 15 Kurt Seifried 2011-09-30 02:00:44 UTC
All children bugs have been closed, parent is no longer needed.


Note You need to log in before you can comment on or make changes to this bug.